Bug 1300625 - [abrt] kinfocenter: xcb_send_request64(): kinfocenter killed by SIGSEGV
[abrt] kinfocenter: xcb_send_request64(): kinfocenter killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kinfocenter (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: KDE SIG
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:ca72cf812b16fee9844eed0a351...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-21 05:06 EST by medsoft_objects
Modified: 2016-12-20 13:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:03:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (58.21 KB, text/plain)
2016-01-21 05:06 EST, medsoft_objects
no flags Details
File: cgroup (200 bytes, text/plain)
2016-01-21 05:06 EST, medsoft_objects
no flags Details
File: core_backtrace (16.12 KB, text/plain)
2016-01-21 05:06 EST, medsoft_objects
no flags Details
File: dso_list (17.18 KB, text/plain)
2016-01-21 05:06 EST, medsoft_objects
no flags Details
File: environ (1.82 KB, text/plain)
2016-01-21 05:06 EST, medsoft_objects
no flags Details
File: exploitable (82 bytes, text/plain)
2016-01-21 05:06 EST, medsoft_objects
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-21 05:06 EST, medsoft_objects
no flags Details
File: maps (80.17 KB, text/plain)
2016-01-21 05:06 EST, medsoft_objects
no flags Details
File: mountinfo (3.51 KB, text/plain)
2016-01-21 05:06 EST, medsoft_objects
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-21 05:06 EST, medsoft_objects
no flags Details
File: open_fds (1.40 KB, text/plain)
2016-01-21 05:06 EST, medsoft_objects
no flags Details
File: proc_pid_status (1.02 KB, text/plain)
2016-01-21 05:06 EST, medsoft_objects
no flags Details
File: var_log_messages (299 bytes, text/plain)
2016-01-21 05:06 EST, medsoft_objects
no flags Details

  None (edit)
Description medsoft_objects 2016-01-21 05:06:10 EST
Description of problem:
Changed compositor to OpenGL EGL from GLX (default).
Clicked Apply.
Clicked --> https://userbase.kde.org/Desktop_Effects_Performance link on Google search page.
Opened following image link on page --> https://userbase.kde.org/File:Kwin_kinfocenter_opengl.png.
Opened KInfoCenter to view system OpenGL settings.
Clicked XServer item.
Clicked OpenGL item.
Clicked Wayland item.
Clicked OpenGL item.
KInfoCenter crashed.

Version-Release number of selected component:
kinfocenter-5.5.3-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/kinfocenter
crash_function: xcb_send_request64
executable:     /usr/bin/kinfocenter
global_pid:     3134
kernel:         4.3.3-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 xcb_send_request64 at xcb_out.c:229
 #1 xcb_send_request at xcb_out.c:292
 #2 xcb_get_geometry at xproto.c:1883
 #3 dri2_x11_create_surface at drivers/dri2/platform_x11.c:273
 #4 dri2_x11_create_window_surface at drivers/dri2/platform_x11.c:349
 #5 _eglCreateWindowSurfaceCommon at main/eglapi.c:739
 #6 eglCreateWindowSurface at main/eglapi.c:753
 #7 get_gl_info_egl at ../../../Modules/opengl/opengl.cpp:821
 #8 GetInfo_OpenGL at ../../../Modules/opengl/opengl.cpp:938
 #9 KCMOpenGL::KCMOpenGL at ../../../Modules/opengl/opengl.cpp:80
Comment 1 medsoft_objects 2016-01-21 05:06:13 EST
Created attachment 1116877 [details]
File: backtrace
Comment 2 medsoft_objects 2016-01-21 05:06:14 EST
Created attachment 1116878 [details]
File: cgroup
Comment 3 medsoft_objects 2016-01-21 05:06:15 EST
Created attachment 1116879 [details]
File: core_backtrace
Comment 4 medsoft_objects 2016-01-21 05:06:16 EST
Created attachment 1116880 [details]
File: dso_list
Comment 5 medsoft_objects 2016-01-21 05:06:17 EST
Created attachment 1116881 [details]
File: environ
Comment 6 medsoft_objects 2016-01-21 05:06:17 EST
Created attachment 1116882 [details]
File: exploitable
Comment 7 medsoft_objects 2016-01-21 05:06:18 EST
Created attachment 1116883 [details]
File: limits
Comment 8 medsoft_objects 2016-01-21 05:06:19 EST
Created attachment 1116884 [details]
File: maps
Comment 9 medsoft_objects 2016-01-21 05:06:20 EST
Created attachment 1116885 [details]
File: mountinfo
Comment 10 medsoft_objects 2016-01-21 05:06:21 EST
Created attachment 1116886 [details]
File: namespaces
Comment 11 medsoft_objects 2016-01-21 05:06:22 EST
Created attachment 1116887 [details]
File: open_fds
Comment 12 medsoft_objects 2016-01-21 05:06:23 EST
Created attachment 1116888 [details]
File: proc_pid_status
Comment 13 medsoft_objects 2016-01-21 05:06:23 EST
Created attachment 1116889 [details]
File: var_log_messages
Comment 14 Rex Dieter 2016-01-21 10:29:52 EST
It would appear that your video driver doesn't support egl
Comment 15 Fedora End Of Life 2016-11-24 10:05:46 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2016-12-20 13:03:16 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.